#!/bin/sh
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# * DuMP3 duplicate finder. *nix GUI interface. *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# ---------------------
# Set up the SWT.
# ---------------------
CP=.:./dump3gui.jar:./jconfig.jar:./log4j-1.2.13.jar
java -cp "$CP" net.za.grasser.duplicate.Jarx dump3gui.jar "-rres[\/].+"
java -cp "$CP" net.za.grasser.duplicate.Jarx "swt-3.4M5-motif-linux-x86.zip" "*.so" "*.so.2" "*.jar"
java -cp "$CP" net.za.grasser.duplicate.Jarx dump3gui.jar "-r.*icons[\/].+"
# ---------------------
# Set up the classpath.
# ---------------------
CP=$CP:./jacksum.jar
CP=$CP:./mysql-connector-java-5.1.6-bin.jar:./jl1.0.jar
CP=$CP:./mp3spi1.9.4.jar:./tritonus_share-0.3.6.jar:./tritonus_jorbis-0.3.6.jar:./jogg-0.0.7.jar:./jflac-1.3.jar:./jorbis-0.0.15.jar
CP=$CP:./jai_imageio.jar:./h2.jar:./swt.jar
CP=$CP:./org.eclipse.equinox.common_3.4.0.v20080201.jar:./org.eclipse.osgi_3.4.0.v20080205.jar:./org.eclipse.jface_3.4.0.I20080205-0010.jar
CP=$CP:./org.eclipse.core.commands_3.3.100.I20071120-0800.jar:./org.eclipse.ui.workbench_3.4.0.I20080205-0010.jar
java -Xms32m -Xmx128m -cp "$CP" -Djava.library.path=. net.za.grasser.duplicate.DuMP3
exit
